#!/bin/bash

if [ -d "~/.config/google-chrome.save" ]; then
  killall chrome
  sleep 5
  mv ~/.config/google-chrome ~/.config/google-chrome.tempprof
  if [ $? -ne 0 ]; then
    echo "Virhe poistettaessa väliaikaista profiilia käytöstä."
    exit 1
  fi
  mv ~/.config/google-chrome.save ~/.config/google-chrome
  if [ $? -ne 0 ]; then
    echo "Virhe otettaessa aiempaa profiilia käyttöön."
    exit 1
  fi
  echo "OK"
else
  echo "Ei löytynyt aikaisempaa profiilia."
  exit 1
fi

exit 0
